<template>
	<view class="alldata flexcj">
		<!-- :start="startDate" :end="endDate" -->
		<view class="flexc">
			<picker  range-key='label' :value="hfindex" :range="hflist"  @change="bindDateChange" >
			<view class="alldatain" :style="isHf?'':'color:#808080;'">{{isHf|| '请选择是否回复'}}</view></picker>
			<image :src="upimg"></image>
		</view>
		<!-- <view @click="getReset" class="rbox">重置回复</view> -->
	</view>
</template>

<script>
	export default{
		props:{
		},
		data(){
			return{
				upimg:require("@/static/images/index/up.png"),
				isHf:'',
				hfindex:[0],
				hflist:[{label:'是',id:'Y'},{label:'否',id:'N'},],//回复
			}
		},
		mounted() {
			if(this.timedate){
				this.date=this.timedate;
			}
		},
		methods:{
			bindDateChange(e){
				var val=e.detail.value
				this.isHf=this.hflist[val].label;
				var id=this.hflist[val].id
				this.$emit("bindDateChange",id)
			},
			getReset(){
				this.isHf='';
				this.hfindex=[0];
				this.$emit("bindDateChange",'')
			}
		}
	}
</script>

<style lang="scss" scoped>
 // 选择年份
 .alldata{padding: 20rpx;height: 80rpx;box-sizing: border-box;
	image{width: 22rpx;height: 16rpx;margin-left: 14rpx;}
	.alldatain{min-width: 124rpx;font-weight: 500;font-size: 30rpx;color:#FE5706 ;}
 }	
 .rbox{padding: 0 12rpx;color: #ff0000;}
</style>